Debian Bug report logs - #692000
ITP: liblbfgs -- L-BFGS solver for dense nonlinear optimization problems

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dima Kogan <dima@secretsauce.net>

Date: Thu, 1 Nov 2012 04:45:03 UTC

Owned by: Dima Kogan <dima@secretsauce.net>

Severity: wishlist

Fixed in version liblbfgs/1.10-3

Done: Dima Kogan <dima@secretsauce.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#692000; Package wnpp. (Thu, 01 Nov 2012 04:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dima Kogan <dima@secretsauce.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 01 Nov 2012 04:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dima Kogan <dima@secretsauce.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: liblbfgs -- L-BFGS solver for dense nonlinear optimization problems
Date: Wed, 31 Oct 2012 21:42:50 -0700
Package: wnpp
Severity: wishlist
Owner: Dima Kogan <dima@secretsauce.net>

* Package name    : liblbfgs
  Version         : 1.10
  Upstream Author : Naoaki Okazaki
* URL             : http://www.chokkan.org/software/liblbfgs/index.html
* License         : MIT
  Programming Lang: C
  Description     : L-BFGS solver for dense nonlinear optimization problems

This library solves nonlinear optimization problems using the limited-memory
BFGS method. Gradients are required, Hessians are estimated. Several
higher-level interfaces use this library. In particular, there's
Algorithm::LBFGS on CPAN that uses this; I will submit an ITP for that when this
library goes through.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dima Kogan <dima@secretsauce.net>:
Bug#692000; Package wnpp. (Sat, 03 Nov 2012 17:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dima Kogan <dima@secretsauce.net>. (Sat, 03 Nov 2012 17:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 692000@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Dima Kogan <dima@secretsauce.net>, 692000@bugs.debian.org
Cc: Debian Science List <debian-science@lists.debian.org>
Subject: Re: Bug#692000: ITP: liblbfgs -- L-BFGS solver for dense nonlinear optimization problems
Date: Sat, 3 Nov 2012 18:38:05 +0100
Hi Dima,

you have submitted a series of ITPs which are all quite interesting for
Debian Science.  Are you considering to maintain these package in the
Debian Med team (and its repositories on Alioth)?

Kind regards

       Andreas.

On Wed, Oct 31, 2012 at 09:42:50PM -0700, Dima Kogan wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Dima Kogan <dima@secretsauce.net>
> 
> * Package name    : liblbfgs
>   Version         : 1.10
>   Upstream Author : Naoaki Okazaki
> * URL             : http://www.chokkan.org/software/liblbfgs/index.html
> * License         : MIT
>   Programming Lang: C
>   Description     : L-BFGS solver for dense nonlinear optimization problems
> 
> This library solves nonlinear optimization problems using the limited-memory
> BFGS method. Gradients are required, Hessians are estimated. Several
> higher-level interfaces use this library. In particular, there's
> Algorithm::LBFGS on CPAN that uses this; I will submit an ITP for that when this
> library goes through.
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20121101044250.27771.38031.reportbug@shorty.local
> 
> 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#692000; Package wnpp. (Sat, 03 Nov 2012 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dima Kogan <dima@secretsauce.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 03 Nov 2012 23:27:03 GMT) Full text and rfc822 format available.

Message #15 received at 692000@bugs.debian.org (full text, mbox):

From: Dima Kogan <dima@secretsauce.net>
To: Andreas Tille <andreas@an3as.eu>, 692000@bugs.debian.org
Cc: Debian Science List <debian-science@lists.debian.org>
Subject: Re: Bug#692000: ITP: liblbfgs -- L-BFGS solver for dense nonlinear optimization problems
Date: Sat, 3 Nov 2012 16:23:49 -0700
> On Sat, 3 Nov 2012 18:38:05 +0100
> Andreas Tille <andreas@an3as.eu> wrote:
>
> Hi Dima,
> 
> you have submitted a series of ITPs which are all quite interesting for
> Debian Science.  Are you considering to maintain these package in the
> Debian Med team (and its repositories on Alioth)?
> 
> Kind regards
> 
>        Andreas.

Hi Andreas.

The packages in question are general-purpose solvers; i.e. there's nothing
inherently medical about them. For the purposes of maintainership, it doesn't
really matter, however. If you're offering to sponsor those packages (I think
we're talking about liblbfgs and libdogleg), debian-med is certainly fine with
me.

Thanks

dima



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 11 Nov 2012 19:06:03 GMT) Full text and rfc822 format available.

Reply sent to Dima Kogan <dima@secretsauce.net>:
You have taken responsibility. (Sat, 17 Nov 2012 10:03:37 GMT) Full text and rfc822 format available.

Notification sent to Dima Kogan <dima@secretsauce.net>:
Bug acknowledged by developer. (Sat, 17 Nov 2012 10:03:37 GMT) Full text and rfc822 format available.

Message #22 received at 692000-close@bugs.debian.org (full text, mbox):

From: Dima Kogan <dima@secretsauce.net>
To: 692000-close@bugs.debian.org
Subject: Bug#692000: fixed in liblbfgs 1.10-3
Date: Sat, 17 Nov 2012 10:00:11 +0000
Source: liblbfgs
Source-Version: 1.10-3

We believe that the bug you reported is fixed in the latest version of
liblbfgs, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 692000@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dima Kogan <dima@secretsauce.net> (supplier of updated liblbfgs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 31 Oct 2012 21:44:35 -0700
Source: liblbfgs
Binary: liblbfgs0 liblbfgs-dev liblbfgs0-dbg
Architecture: source amd64
Version: 1.10-3
Distribution: unstable
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Dima Kogan <dima@secretsauce.net>
Description: 
 liblbfgs-dev - L-BFGS solver for unconstrained nonlinear optimization problems
 liblbfgs0  - L-BFGS solver for unconstrained nonlinear optimization problems
 liblbfgs0-dbg - L-BFGS solver for unconstrained nonlinear optimization problems
Closes: 692000
Changes: 
 liblbfgs (1.10-3) unstable; urgency=low
 .
   * Initial release. (Closes: #692000)
Checksums-Sha1: 
 e360f34cfd4c9d21c48a1086e6fbf29bd33d0d09 1429 liblbfgs_1.10-3.dsc
 eb206d2abcbaaa8551d12a4abb3f43a80cd71d1f 46111 liblbfgs_1.10.orig.tar.gz
 6b22293fc1e9521afb3e34f31180d1f27226f431 2745 liblbfgs_1.10-3.debian.tar.gz
 f3a41a3163f151c0f05117d965b02df371984034 12276 liblbfgs0_1.10-3_amd64.deb
 903218b0d53b65c5a20c0abc5c69ff6877ba67fe 39270 liblbfgs-dev_1.10-3_amd64.deb
 a27c47bd6c85dbcf142151e504334e126ffaafdd 20160 liblbfgs0-dbg_1.10-3_amd64.deb
Checksums-Sha256: 
 9bf92cf5d919f84909a0c462b8f01a7be5fc527064a115f96eec9a21fb9cc86c 1429 liblbfgs_1.10-3.dsc
 e2a4085a8568e84268bcf0a40a5319f6591eefb30574c71f7ff4723ba35930f7 46111 liblbfgs_1.10.orig.tar.gz
 571ad55fa9261050312e50d36add66d4da59912b5eb01f7ed6d428347456d005 2745 liblbfgs_1.10-3.debian.tar.gz
 9256d14ca1bdbfa78f884153fd5739928bd31d27da8eea6aa3006f45e842fc5c 12276 liblbfgs0_1.10-3_amd64.deb
 1c12a0eb3fea752e3579165344ebcd6ab6f6004be1a79b79314d62d2a8319a8c 39270 liblbfgs-dev_1.10-3_amd64.deb
 b67089a85ae0b2a533509f7d8e852c7a79b9545b53552c23f921ae827e065549 20160 liblbfgs0-dbg_1.10-3_amd64.deb
Files: 
 a9ca45d1077a2b4315ddf5381b673e4a 1429 science extra liblbfgs_1.10-3.dsc
 736c823251779e5247c57643fc7f0173 46111 science extra liblbfgs_1.10.orig.tar.gz
 95f6ffc891162b4a194c2d4a595481d1 2745 science extra liblbfgs_1.10-3.debian.tar.gz
 0547ebaf8c642a2c3194907e78ced25c 12276 libs extra liblbfgs0_1.10-3_amd64.deb
 e7ec5539a79e1bf4004f110c076b08d2 39270 libdevel extra liblbfgs-dev_1.10-3_amd64.deb
 9c24b6a60ef14796bdfe3e47ad7177d4 20160 debug extra liblbfgs0-dbg_1.10-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCfX2QACgkQYDBbMcCf01pJ5ACgmZuClAHDBJIRwiWA23kXT/qb
hJUAoK5lbfY9qCu4/bwrR4zzH467hkWW
=Lu5l
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Dec 2012 07:25:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:43:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.